//
//  Controller.h
//  PHET
//
//  Created by Ian Hooper on 2/08/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "u3.h"


@interface Controller : NSObject
{
    HANDLE m_hDevice;
    u3CalibrationInfo m_caliInfo;
    int m_localID;
    long m_DAC1Enable;
    
}

- (double)getAnalogueIn:(int)channel;

- (BOOL)getDigitalIn:(int)channel;

- (void)setDigitalOut:(BOOL)value channel:(int)n;

- (void)setAnalogueOut:(double)value;

@end
